Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000140bareos-core[All Projects] installer / packagespublic2013-03-29 16:512015-03-25 19:18
Reportermaik 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows 7OSWindowsOS Version7
Product Version12.4.2 
Target Version12.4.2Fixed in Version12.4.3 
Summary0000140: Winbareos installer renames old config when updating
DescriptionWhen updating winbareos it renames the existing config.

This means extra work for administrators. There is also no hint, where to find the old files.

Expected behavior:
- ask installer, if he wants to keep existing config files or wants to overwrite with new ones.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Filespng file icon config_move_info.png [^] (12,956 bytes) 2013-03-30 18:28

- Relationships

-  Notes
(0000315)
pstorz (administrator)
2013-03-30 18:30
edited on: 2013-03-30 18:32

Installer informs the administrator of every renamded file with full path.

See attached screenshot. Tested with newest installer on download.bareos.org.

Is this the same machine that already created problems that do not show up on any other test machine?

(0000317)
maik (administrator)
2013-04-02 10:22

ok, there is the full path.

However, the main problem are the renamed files. As an admin I do not expect to manually rename existing and working config files after an upgrad. That is unnecessary extra-work and a potential error source.

I would expect the installer to recognize existing files and ask, if it should keep the files or write new ones. In the first case the dialog for director and passwords could also be skipped.
(0000599)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos bareos-12.4 branch with changesetid 962.
(0001384)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4264.
(0001539)
joergs (administrator)
2015-03-25 19:18

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: bareos-12.4 8ef93394
Timestamp: 2013-05-04 11:14:58
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
Better handling of existing config files

When existing configuration files are found, in interactive mode the
user is asked if the existing config file should be kept and the newly
generated file is stored aside as config.new.

Also, the user can choose to move the existing file to config.old, and
install the new one in the original place.
This is what is done in silent installation mode.

The default for the uninstaller is now to keep existing config files.
In silent mode, the uninstaller will remove existing config files.

Fixes 0000140: Winbareos installer renames old config when updating

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos2015: bareos-12.4 98c62e3a
Timestamp: 2013-05-04 13:14:58
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Better handling of existing config files

When existing configuration files are found, in interactive mode the
user is asked if the existing config file should be kept and the newly
generated file is stored aside as config.new.

Also, the user can choose to move the existing file to config.old, and
install the new one in the original place.
This is what is done in silent installation mode.

The default for the uninstaller is now to keep existing config files.
In silent mode, the uninstaller will remove existing config files.

Fixes 0000140: Winbareos installer renames old config when updating

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos: master 68774067
Timestamp: 2013-05-04 19:14:59
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
Better handling of existing config files

When existing configuration files are found, in interactive mode the
user is asked if the existing config file should be kept and the newly
generated file is stored aside as config.new.

Also, the user can choose to move the existing file to config.old, and
install the new one in the original place.
This is what is done in silent installation mode.

The default for the uninstaller is now to keep existing config files.
In silent mode, the uninstaller will remove existing config files.

Fixes 0000140: Winbareos installer renames old config when updating

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos2015: bareos-13.2 df854565
Timestamp: 2013-05-04 21:14:59
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Better handling of existing config files

When existing configuration files are found, in interactive mode the
user is asked if the existing config file should be kept and the newly
generated file is stored aside as config.new.

Also, the user can choose to move the existing file to config.old, and
install the new one in the original place.
This is what is done in silent installation mode.

The default for the uninstaller is now to keep existing config files.
In silent mode, the uninstaller will remove existing config files.

Fixes 0000140: Winbareos installer renames old config when updating

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - platforms/win32/winbareos.nsi Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-03-29 16:51 maik New Issue
2013-03-30 18:28 pstorz File Added: config_move_info.png
2013-03-30 18:30 pstorz Note Added: 0000315
2013-03-30 18:30 pstorz Assigned To => pstorz
2013-03-30 18:30 pstorz Status new => feedback
2013-03-30 18:32 pstorz Note Edited: 0000315 View Revisions
2013-04-02 10:22 maik Note Added: 0000317
2013-04-02 10:22 maik Status feedback => assigned
2013-04-08 11:16 mvwieringen Changeset attached => bareos Branch-12.4 e9349a5f
2013-04-08 11:16 mvwieringen Note Added: 0000319
2013-04-08 11:16 mvwieringen Assigned To pstorz => mvwieringen
2013-04-08 11:16 mvwieringen Status assigned => closed
2013-04-08 11:16 mvwieringen Resolution open => fixed
2013-04-08 11:16 mvwieringen Changeset attached => bareos master 1d29b883
2013-04-08 11:16 mvwieringen Note Added: 0000320
2013-04-08 11:17 mvwieringen Assigned To mvwieringen =>
2013-04-08 11:17 mvwieringen Fixed in Version => 12.4.3
2013-04-08 11:17 mvwieringen Target Version => 12.4.2
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 68774067
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 8ef93394
2013-08-13 03:12 mvwieringen adm Note Added: 0000599
2013-08-13 03:12 mvwieringen adm Assigned To => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 09:18 mvwieringen adm Note Deleted: 0000319
2013-08-13 09:18 mvwieringen adm Note Deleted: 0000320
2013-08-13 09:18 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 09:18 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 98c62e3a
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 df854565
2015-03-25 16:51 mvwieringen Note Added: 0001384
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001539
2015-03-25 19:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker